## Read the Manual!

https://help.obsidian.md/Home

It's a quick read, and it contains a lot of information you might miss if you explore Obsidian on your own.
## Search for Commands

As shown many times in these presentation notes, <kbd>Ctrl</kbd>+<kbd>P</kbd>  is your friend. It pops up a command line where you can search for all the commands and keyboard shortcuts that exist in your current installation, including all installed plugins.
## Snapshots

<kbd>Ctrl</kbd>+<kbd>P</kbd> , **File recovery: open saved snapshots** — activate this command and type to search for the name of a page. It shows you old versions of that page, and lets you recover from bad edits.

The **Snapshots** feature saves fewer snapshots the further back in time you go. See **⚙ → File recovery** for more details.

**Snapshots** are stored only on your local machine in a cache folder separate from the vault folder which you may have synced with other computers. To undo an old edit, you have to be on the computer that made the edit.
## Snapshots Are Enabled By Default

If you delete a paragraph from a page, it's not gone!

If you need deleted data to be gone, make sure you disable the **File recovery** feature.
## Zoom in on Image Attachments

If you have a big image attached in a page, reduced to fit the screen width, and you want to zoom in:

1. Select the image so that the image link code appears.
2. Middle-click the image filename within the link code to open it in a new tab.
3. Right-click on the image's tab title and select **Open in default app**.

